# QStateMachine Class Reference

### [com.trolltech.qt.core package]

Inherits QState.

### Constructor

- void QStateMachine(QObject parent)

### Constructor Properties

- prototype: The QStateMachine prototype object
- NoError
- NoInitialStateError
- NoDefaultStateInHistoryStateError
- NoCommonAncestorForTransitionError
- Error( value )
- NormalPriority
- HighPriority
- EventPriority( value )
- DontRestoreProperties
- RestoreProperties
- RestorePolicy( value )

### Prototype Object Properties

The QStateMachine prototype object inherits properties from the QState prototype object and also has the following properties.

- void addDefaultAnimation(QAbstractAnimation animation)
- void addState(QAbstractState state)
- bool cancelDelayedEvent(int id)
- void clearError()
- Set configuration()
- List defaultAnimations()
- Error error()
- bool isRunning()
- int postDelayedEvent(QEvent event, int delay)
- void postEvent(QEvent event, EventPriority priority)
- void removeDefaultAnimation(QAbstractAnimation animation)
- void removeState(QAbstractState state)

### Instance Properties

QStateMachine objects inherit properties from the QStateMachine prototype object and also have the following properties.

- errorString
- globalRestorePolicy
- animated